<template>
  <div>
    <h2>Delete account</h2>
    <el-row>
      <el-col :sm="{span: 14, offset: 5}" :md="{span: 12, offset: 6}" :lg="{span: 10, offset: 7}">
        <el-form ref="form_password" :model="user" status-icon label-position="top">
          <el-form-item label="Username" prop="username">
            <el-input v-model="user.username"></el-input>
          </el-form-item>

          <el-form-item label="Password" prop="password">
            <el-input type="password" v-model="user.password"></el-input>
          </el-form-item>

          <el-form-item>
            <el-button type="primary" @click="submitForm()">
              Delete account
            </el-button>
          </el-form-item>
        </el-form>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import gql from 'graphql-tag'

export default {
  data() {
    return {
      user: { username: '', password: '' }
    }
  },

  methods: {
    submitForm() {
      this.$apollo.mutate({

      })
    }
  }
}
</script>
